"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
function arrayFilter(array, predicate) {
  var index = -1, length = array == null ? 0 : array.length, resIndex = 0, result = [];
  while (++index < length) {
    var value = array[index];
    if (predicate(value, index, array)) {
      result[resIndex++] = value;
    }
  }
  return result;
}
var _arrayFilter = arrayFilter;
exports._arrayFilter = _arrayFilter;
